%define oname	xvba-video

Summary:	VA API driver for proprietary fglrx driver
Name:		vaapi-driver-fglrx
Version:	0.8.0
Release:	1
Group:		Video
License:	GPLv2
URL:		http://www.splitted-desktop.com/~gbeauchesne/xvba-video
Source0:	http://www.splitted-desktop.com/~gbeauchesne/xvba-video/%{oname}-%{version}.tar.gz
# for convenience:
Provides:	%{oname} = %{version}-%{release}
BuildRequires:	amd-xvba-devel
BuildRequires:	libva-devel => 1.0.15

%description
XvBA driver backend for VA API, a video acceleration API.

This is a proprietary backend for use with the proprietary fglrx
display driver for ATI cards.


%prep
%setup -q -n %oname-%version

%ifarch x86_64  
sed -i 's|-lXvBAW|-L /usr/lib64/fglrx -lXvBAW|g' configure.ac  
%else  
sed -i 's|-lXvBAW|-L /usr/lib/fglrx -lXvBAW|g' configure.ac  
%endif  

%build
autoreconf -v --install
%configure --with-drivers-path=%{_libdir}/va/drivers
%make


%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/dri/*.la

%files
%doc AUTHORS NEWS
%{_libdir}/dri/*_drv_video.so


%changelog
* Mon Nov 21 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.8.0-1
+ Revision: 732177
- version update to 0.8.0 and now soruces is GPLv2

* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 0.7.6-1mdv2011.0
+ Revision: 598480
- new version
- switch to unified tarball

* Thu Aug 12 2010 Anssi Hannula <anssi@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 569198
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 552934
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 551414
- initial Mandriva release

